<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StatusStickerInteractionMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $key = null;
    


    protected $stickerKey = null;
    


    protected $type = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getKey()
    {
        return $this->key;
    }

    public function hasKey()
    {
        return isset($this->key);
    }

    public function clearKey()
    {
        unset($this->key);
    }

    




    public function setKey($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MessageKey::class);
        $this->key = $var;

        return $this;
    }

    



    public function getStickerKey()
    {
        return isset($this->stickerKey) ? $this->stickerKey : '';
    }

    public function hasStickerKey()
    {
        return isset($this->stickerKey);
    }

    public function clearStickerKey()
    {
        unset($this->stickerKey);
    }

    




    public function setStickerKey($var)
    {
        GPBUtil::checkString($var, True);
        $this->stickerKey = $var;

        return $this;
    }

    



    public function getType()
    {
        return isset($this->type) ? $this->type : 0;
    }

    public function hasType()
    {
        return isset($this->type);
    }

    public function clearType()
    {
        unset($this->type);
    }

    




    public function setType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\StatusStickerInteractionMessage\StatusStickerType::class);
        $this->type = $var;

        return $this;
    }

}

